Bug 782710 - [glusterfs-3.3.0qa19]: glusterd crashes upon volume stop when built with efence
[glusterfs-3.3.0qa19]: glusterd crashes upon volume stop when built with efence
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-18 03:32 EST by Raghavendra Bhat
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-01-18 03:32:11 EST
Description of problem:
glusterd when built with efence (efence helps in identifying memory corruptions), crashes upon receiving volume stop command with below backtrace.

(gdb) bt
#0  0x00007f51e8e07213 in glusterd_op_ac_rcvd_brick_op_acc (event=0x7f51e6597fd0, ctx=0x7f51e6591fd0) at glusterd-op-sm.c:2865
#1  0x00007f51e8e07851 in glusterd_op_sm () at glusterd-op-sm.c:3321
#2  0x00007f51e8e1b857 in glusterd3_1_brick_op_cbk (req=0x7f51e6a6300c, iov=0x7f51e6a6304c, count=1, myframe=0x7f51ea17909c)
    at glusterd-rpc-ops.c:1687
#3  0x00007f51eb859a8f in rpc_clnt_handle_reply (clnt=0x7f51e6cb8ee0, pollin=0x7f51e655bfb0) at rpc-clnt.c:789
#4  0x00007f51eb859df0 in rpc_clnt_notify (trans=0x7f51e6d40d40, mydata=0x7f51e6cb8f10, event=RPC_TRANSPORT_MSG_RECEIVED,
    data=0x7f51e655bfb0) at rpc-clnt.c:908
#5  0x00007f51eb855e79 in rpc_transport_notify (this=0x7f51e6d40d40, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x7f51e655bfb0)
    at rpc-transport.c:498
#6  0x00007f51e8abe151 in socket_event_poll_in (this=0x7f51e6d40d40) at socket.c:1675
#7  0x00007f51e8abe6bf in socket_event_handler (fd=13, idx=5, data=0x7f51e6d40d40, poll_in=1, poll_out=0, poll_err=0) at socket.c:1790
#8  0x00007f51ebaac1d6 in event_dispatch_epoll_handler (event_pool=0x7f51eb360f60, events=0x7f51eb3e0390, i=1) at event.c:794
#9  0x00007f51ebaac3e9 in event_dispatch_epoll (event_pool=0x7f51eb360f60) at event.c:856
#10 0x00007f51ebaac75c in event_dispatch (event_pool=0x7f51eb360f60) at event.c:956
#11 0x0000000000407ab7 in main (argc=1, argv=0x7fff58ad9448) at glusterfsd.c:1601

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-01-20 01:59:16 EST
CHANGE: http://review.gluster.com/2651 (glusterd: Fixed crash in stop volume found using efence.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-05-22 02:08:30 EDT
Checked with glusterfs-3.3.0qa42. Built glusterfs with efence and did volume stop. glusterd did not crash.

Note You need to log in before you can comment on or make changes to this bug.